package cz.jzitnik.game.entities.items.registry.items.tools;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.Fuel;
import cz.jzitnik.game.annotations.ItemRegistry;
import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemType;

@Fuel(100.0)
@ItemRegistry(value = "lava_bucket", block = "lava")
public class LavaBucketItem extends Item {
    public LavaBucketItem() {
        super("lava_bucket", "Lava bucket", ItemType.PICKUPER, SpriteLoader.SPRITES.LAVA_BUCKET);
        setStackable(false);
    }
}
